
def zip_longest(*args, fillvalue=None):
    from itertools import zip_longest
    from collections import deque

    def ensure_length(seq, length):
        return deque(seq, maxlen=length)

    max_length = max(len(arg) for arg in args)
    zipped = zip_longest(*args, fillvalue=fillvalue)

    return tuple(ensure_length(list(item), max_length) for item in zipped)



